%define plugin_name	telegram-tdlib
%define upstream_name	tdlib-purple

%define commit		43e6cc2f14ccd08171b1515f6216f4bbf84eed80
%define shortcommit	%(c=%{commit}; echo ${c:0:7})
%define date		20240907

%define rel	5

Name:		purple-%{plugin_name}
Version:	0.8.1
Release:	%mkrel %{rel}.git%{date}
Summary:	Libpurple Telegram plugin using tdlib
Group:		Networking/Instant messaging
License:	GPLv2+
# https://github.com/ars3niy/tdlib-purple/
URL:		https://github.com/BenWiederhake/tdlib-purple/
Source0:	%{url}/archive/%{commit}/%{upstream_name}-%{shortcommit}.tar.gz
Patch0:		0000-fix-build-for-cmake-4.0.patch
Patch1:		tdlib-purple-linking.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(rlottie)
BuildRequires:	pkgconfig(tdapi) >= 1.8.35
BuildRequires:	pkgconfig(tdutils) >= 1.8.35
BuildRequires:	pkgconfig(tgvoip)
BuildRequires:	pkgconfig(zlib)

Provides:	%{upstream_name} = %{version}-%{release}
Provides:	purple-telegram = %{version}-%{release}
Obsoletes:	purple-telegram < 1.4.6-3

%description
A libpurple plugin that adds support for the Telegram messenger.

%package -n pidgin-%{plugin_name}
Summary:	Adds pixmaps, icons and smileys for Telegram protocol
Group:		Networking/Instant messaging
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	pidgin

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Telegram protocol implemented
by %{upstream_name}.

%prep
%autosetup -n %{upstream_name}-%{commit} -p1

# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build
%cmake -DNoBundledLottie=ON \
       -Dtgvoip_INCLUDE_DIRS=%{_includedir}/tgvoip
%cmake_build

%install
%cmake_install

%find_lang %{upstream_name}

%files -f %{upstream_name}.lang
%license LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{plugin_name}.so
%{_metainfodir}/%{upstream_name}.metainfo.xml

%files -n pidgin-%{plugin_name}
%license LICENSE
%doc README.md
%{_datadir}/pixmaps/pidgin/protocols/*/telegram*.png


%changelog
* Sun Jul 13 2025 daviddavid <daviddavid> 0.8.1-5.git20240907.mga10
+ Revision: 2254152
- rebuild for new tdlib 1.8.51

* Wed Jul 09 2025 katnatek <katnatek> 0.8.1-4.git20240907.mga10
+ Revision: 2252507
- Add patch for cmake 4
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Sep 12 2024 daviddavid <daviddavid> 0.8.1-2.git20240907.mga10
+ Revision: 2095214
- update to latest git snapshot from https://github.com/BenWiederhake/tdlib-purple/
  to match with tdlib 1.8.35

* Sat Apr 08 2023 daviddavid <daviddavid> 0.8.1-1.mga9
+ Revision: 1951715
- initial package purple-telegram-tdlib (a replacement for purple-telegram mga#31773)

